      SUBROUTINE ALLQFN ( FAIL, ERRMSG )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Allocate Vib.Partition Function data to Vib.Tem profiles.
C     Called by INPNTE after all files loaded.
C     This steps through all the QFn profiles loaded in qfncom.inc and 
C     determines which ones match TVib profiles loaded in ntecom.inc.
C     If any matches are found, QFn is written to ntecom.inc.
C
      IMPLICIT NONE
C
C ARGUMENTS
      LOGICAL       FAIL       !  O  Set TRUE if a fatal error is detected
      CHARACTER*80  ERRMSG     !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  IDXQFN ! Index of non-LTE partition function data in /QFNCOM/ arrays
     &, RFMLOG ! Write text message to RFM log file.
      INTEGER IDXQFN
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
      INCLUDE 'ntecom.inc' ! Non-LTE data
      INCLUDE 'qfncom.inc' ! non-LTE Partition Functions 
C
C LOCAL VARIABLES
      INTEGER      IGAS    ! Index of GAS in RFM list /GASCOM/
      INTEGER      INTE    ! Counter for pre-loaded TVb profiles
      INTEGER      IQFN    ! Counter for Stored Partition Function profiles
      CHARACTER*80 LOGMSG  ! Text message for log file.
C
C EXECUTABLE CODE --------------------------------------------------------------
C
C Step through all TVib profiles
      DO INTE = 1, NNTE
        IQFN = IDXQFN ( IDGNTE(INTE), ISONTE(INTE) )
        IGAS = IGSMOL(IDGNTE(INTE)) 
        IF ( IQFN .GT. 0 ) THEN
          WRITE ( LOGMSG, '(A,A7,I2)' )
     &      'I-ALLQFN: Assign Vib.Partition Fn to Molec,Iso=', 
     &      CODGAS(IGAS), ISONTE(INTE)
          CALL RFMLOG ( LOGMSG, FAIL, ERRMSG )
          IF ( FAIL ) RETURN
        END IF
        IQFNTE(INTE) = IQFN
      END DO
C
      END
