      SUBROUTINE ATMAIR ( GOTGAS ) 
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Set VMR profile values for air
C     Called once by INPATM if REX flag enabled.
C     Also sets appropriate array element of GOTGAS to .TRUE.
C
      IMPLICIT NONE
C
C ARGUMENTS
      LOGICAL GOTGAS(*)    ! I/O T=absorber profile loaded, F=not loaded
C
C GLOBAL CONSTANTS
      INCLUDE 'idxcon.inc' ! HITRAN molecular indices
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data 
      INCLUDE 'flgcom.inc' ! RFM option flags
      INCLUDE 'gascom.inc' ! Molecular and isotope data
C
C LOCAL VARIABLES
      INTEGER  IATM        ! Surface counter for used profile (1:NATM)
      INTEGER  IGAS        ! Index of 'air' in absorber list
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      IGAS = IGSMOL(IDXAIR)
C This routine should only be called after 'air' loaded as an absorber
      IF ( IGAS .EQ. 0 ) STOP 'F-ATMAIR: Logical error'
      DO IATM = 1, NATM
        VMRATM(IATM,IGAS) = 1.0   ! 'air' mixing ratio = 1ppv.
      END DO 
      GOTGAS(IGAS) = .TRUE.
C If using horizontal gradients, ensure that Air VMR defined at one (arbitrary)
C location IGRA=1
      IF ( GRAFLG ) CALL PRFGRA ( 1, 'V', IGAS ) 
C
      END
