      SUBROUTINE CHKFLX ( HGTTST, FAIL, ERRMSG )
C
C VERSION
C     24JUL15 AD Use C9FLT
C     10DEC14 AD Minor rearrangement
C     27APR00 AD Original. 
C
C DESCRIPTION
C     Check output levels for Flux calculations.
C     Called by TANCHK for each path with FLX flag enabled. 
C
      IMPLICIT NONE 
C
C ARGUMENTS
      REAL         HGTTST  !  I  Value of level to be checked
      LOGICAL      FAIL    !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG  !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  C9FLT  ! Write real number as C*9 string up to 3 s.f.
      CHARACTER*9 C9FLT
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes      
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      FAIL = .TRUE.
C
      IF ( HGTTST .LT. HGTATM(1) ) THEN
        ERRMSG = 'F-CHKFLX: Level = ' // C9FLT ( HGTTST )
     &    // ' km below base of atmosphere (' // C9FLT ( HGTATM(1) ) 
     &    // ' km)'
      ELSE IF ( HGTTST .GT. HGTATM(NATM) ) THEN
        ERRMSG = 'F-CHKFLX: Level = ' // C9FLT ( HGTTST ) 
     &    // ' km above top of atmosphere (' // C9FLT ( HGTATM(NATM) )
     &    // ' km)'
      ELSE
        FAIL = .FALSE.
      END IF
C
      END 
