      SUBROUTINE CIACHK ( FAIL, ERRMSG )
C
C VERSION
C     08JUL15 AD Original. 
C
C DESCRIPTION
C     Check CIA data consistent with other RFM options.
C     Called once by INPCIA if CIA flag enabled.
C
      IMPLICIT NONE
C
C ARGUMENTS
      LOGICAL      FAIL    !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG  !  O  Error message returned if FAIL is TRUE
C
C GLOBAL CONSTANTS
      INCLUDE 'idxcon.inc' ! HITRAN molecular indices
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
      INCLUDE 'ciacom.inc' ! Coll.Ind.Absorption data 
C
C LOCAL VARIABLES
      INTEGER   ID1,ID2    ! HITRAN/RFM indices of collision molecules
      INTEGER   ICIA       ! Indices of CIA data sets
      INTEGER   IGAS       ! Index of molecule in /GASCOM/ arrays
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      DO ICIA = 1, NCIA
        ID1 = ID1CIA(ICIA)
        ID2 = ID2CIA(ICIA)
        IF ( ID1 .EQ. IDXO2 .AND. ID2 .EQ. IDXO2 ) THEN
          IGAS = IGSMOL(IDXO2)
          IF ( CTMGAS(IGAS) ) THEN
            FAIL = .TRUE.
            ERRMSG = 'F-CIACHK: O2-O2 CIA incompatible with '//
     &               'O2 continuum'
            RETURN
          END IF
        ELSE IF ( ID1 .EQ. IDXN2 .AND. ID2 .EQ. IDXN2 ) THEN
          IGAS = IGSMOL(IDXN2)
          IF ( CTMGAS(IGAS) ) THEN
            FAIL = .TRUE.
            ERRMSG = 'F-CIACHK: N2-N2 CIA incompatible with '//
     &               'N2 continuum'
            RETURN
          END IF
        END IF
      END DO
C
C Normal exit
      FAIL = .FALSE.
C
      END

