      CHARACTER*15 FUNCTION CODNTE ( INTE ) 
C
C VERSION
C     09JAN15 AD Original.
C
C DESCRIPTION
C     Code for molec/iso/gq# of vibrational temperature.
C     General purpose
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER      INTE    !  I  Index of NTE data
C
      EXTERNAL
     &  MOLIDX ! Give molecule name for HITRAN/RFM index, or vice-versa
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'ntecom.inc' ! Non-LTE data 
C
C LOCAL VARIABLES
      INTEGER      I       ! Pointer to next character in CODNTE
      LOGICAL      FAIL    ! Set TRUE if a fatal error occurs
      CHARACTER*8  FMTSTR  ! Format string
      CHARACTER*7  GASSTR  ! String containing molecule name
      CHARACTER*80 ERRMSG  ! Error message written if FAIL is TRUE
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      CALL MOLIDX ( IDGNTE(INTE), GASSTR, FAIL, ERRMSG )
C Should only be called for molecule names which have already been checked
      IF ( FAIL ) STOP 'F-CODNTE: Logical error'
C
      I = INDEX ( GASSTR//' ', ' ' ) 
      CODNTE = GASSTR
C
      FMTSTR = '(A,I1,A)'
      WRITE ( CODNTE(I:I+2), '(A,I1,A)' ) '(', ISONTE(INTE), ')'
C
      I = I + 3
C
      IF ( IGQNTE(INTE) .GE. 100 ) THEN
        WRITE ( CODNTE(I:), '(A,I3,A)' ) '(', IGQNTE(INTE), ')'
      ELSE IF ( IGQNTE(INTE) .GE. 10 ) THEN
        WRITE ( CODNTE(I:), '(A,I2,A)' ) '(', IGQNTE(INTE), ')'
      ELSE
        WRITE ( CODNTE(I:), '(A,I1,A)' ) '(', IGQNTE(INTE), ')'
      END IF
C
      END 
