C CYCCOM.INC -------------------------------------------------------------------
      COMMON / CYCCOM / STRCYC, ABRCYC, 
     &                  SBRCYC, ELSCYC, ABCCYC, TSPCYC, 
     &                  NLIN, ICYC1, IDGCYC, ISOCYC, IUSCYC, ILSCYC, 
     &                  IUVCYC, ILVCYC, BLQCYC
      COMMON / CYCDBL / WNOCYC
C
C VERSION
C      03SEP15 AD Separate DP variables into CYCDBL
C      03MAR97 AD Version 3.
C      01OCT96 AD Version 2.
C      01OCT96 AD Add BLQCYC to save BSLQ
C      01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with Cyclic line data buffers 
C
      REAL      STRCYC(MAXCYC) ! Line strength  [cm-1./(kg.moles.cm-2)]@296K
      REAL      ABRCYC(MAXCYC) ! Air-broad halfwidth  (HWHM) [cm-1/atm] @ 296K
      REAL      SBRCYC(MAXCYC) ! Self-broad halfwidth (HWHM) [cm-1/atm] @ 296K.
      REAL      ELSCYC(MAXCYC) ! Lower-state energy [cm-1]
      REAL      ABCCYC(MAXCYC) ! Coeff.of temp.dependance of air-broadened HW
      REAL      TSPCYC(MAXCYC) ! Transition shift due to pressure
      INTEGER   NLIN           ! No.lines currently stored
      INTEGER   ICYC1          ! Index for lowest wavenumber line
      INTEGER   IDGCYC(MAXCYC) ! HITRAN Gas ID
      INTEGER   ISOCYC(MAXCYC) ! Isotope Number (1=most abundant,2=2nd,3 etc)
      INTEGER   IUSCYC(MAXCYC) ! Upper state global quanta index.
      INTEGER   ILSCYC(MAXCYC) ! Lower state global quanta index
      INTEGER   IUVCYC(MAXCYC) ! Index of Vib.Temp profile affecting upper level
      INTEGER   ILVCYC(MAXCYC) ! Index of Vib.Temp profile affecting lower level
      CHARACTER*9 BLQCYC(MAXCYC) ! Lower State local quanta
      DOUBLE PRECISION WNOCYC(MAXCYC) ! Cyclic buf of line wnos. [cm-1]
C
C ------------------------------------------------------------------------------
