      SUBROUTINE DOPSHP ( NWNO, DWNO, ABSORP )
C
C VERSION
C     27JAN15 AD Tidied up
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Calculate Doppler Line shape.
C     Called by RFMFIN and RFMWID.
C     Uses path-adjusted line data in /ADJCOM/
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER          NWNO          !  I  No. wavenumber points to be evaluted
      DOUBLE PRECISION DWNO(NWNO)    !  I  Array of Wavenumbers [/cm]
      REAL             ABSORP(NWNO)  !  O  Absorption 
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C COMMON VARIABLES
      INCLUDE 'adjcom.inc' ! Path-Adjusted line data
C
C LOCAL VARIABLES
      INTEGER  IWNO ! Wavenumber array counter
      REAL     ARG  ! exponential term multiplying (wn-wn0)^2
      REAL     COF  ! Scaling factor for exponential.
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      ARG = - LN2 / DOPADJ**2           
      COF = SQRLN2 * RSQRPI * STRADJ / DOPADJ      ! SQRT(ln 2/PI) = 0.46971864
C
      DO IWNO = 1, NWNO 
        ABSORP(IWNO) = COF * 
     &                 EXP ( ARG * SNGL ( ( DWNO(IWNO) - WNOADJ )**2 ) )
      END DO
C
      END                                                 
