      CHARACTER*200 FUNCTION EXPNAM ( TEMPLT, INSERT )
C
C VERSION
C     16FEB15 AD Correction to calculation of JLEN
C     09JAN15 AD Allow for empty INSERT string
C     13NOV14 AD Original.
C
C DESCRIPTION
C     Replace '*' in filename with given string.
C     RFM general purpose routine.
C
      IMPLICIT NONE
C
C ARGUMENTS
      CHARACTER*(*) TEMPLT  !  I  Template containing '*' character
      CHARACTER*(*) INSERT  !  I  String to be inserted 
C
C LOCAL VARIABLES
      INTEGER       IAST   ! Location of '*' character in TEMPLT string
      INTEGER       ILEN   ! Length of TEMPLT string up to first space
      INTEGER       JLEN   ! Length of INSERT string up to first space
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      IAST = INDEX ( TEMPLT, '*' ) 
      IF ( IAST .EQ. 0 ) STOP 'F-EXPNAM: Logical error'
      ILEN = INDEX ( TEMPLT, ' ' ) - 1
      IF ( ILEN .EQ. -1 ) ILEN = LEN ( TEMPLT )
      JLEN = INDEX ( INSERT, ' ' ) - 1 
      IF ( JLEN .EQ. -1 ) JLEN = LEN ( INSERT )
      IF ( JLEN .EQ. 0 ) THEN                               ! No insertion
        EXPNAM = TEMPLT(1:IAST-1)//TEMPLT(IAST+1:)
      ELSE IF ( IAST .EQ. 1 .AND. ILEN .EQ. 1 ) THEN        ! TEMPLT = '*' 
        EXPNAM = INSERT(1:JLEN)
      ELSE IF ( IAST .EQ. 1 ) THEN                          ! TEMPLT = '*...' 
        EXPNAM = INSERT(1:JLEN)//TEMPLT(2:) 
      ELSE IF ( IAST .EQ. ILEN ) THEN                       ! TEMPLT = '...*' 
        EXPNAM = TEMPLT(1:ILEN-1)//INSERT(1:JLEN)
      ELSE                                                  ! TEMPLT = '...*...'
        EXPNAM = TEMPLT(1:IAST-1)//INSERT(1:JLEN)//TEMPLT(IAST+1:)
      END IF
C
      END
