C FINCOM.INC ------------------------------------------------------------------
      COMMON / FINCOM / NFIN, NOMFIN, IXSFIN, ABSFIN, CNTFIN
      COMMON / FINDBL / WNOFIN, WNDFIN, WNLFIN, WNUFIN, WN1FIN, 
     &                  WN2FIN, WNRFIN
C
C VERSION
C     02SEP15 AD Separate DP variables into FINDBL
C     17AUG06 AD Add WNDFIN 
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     17SEP96 AD Add NOMFIN
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with fine mesh calculation grid. 
C     Assumes NFIN fine intervals, indexed 1:NWID for particular IWID.
C
      INTEGER          NFIN             ! Actual No. of fine mesh grid points
      INTEGER          NOMFIN           ! Nominal No.pts/cm-1 for fine mesh
      INTEGER          IXSFIN(MAXGAS)   ! 1 = X/S data used for current itvl
      REAL     ABSFIN(MAXFIN,MAXCLC)    ! Fine mesh absorption 
      REAL     CNTFIN(MAXFIN,MAXCLC)    ! Fine mesh path non-LTE factor 
      DOUBLE PRECISION WNOFIN(MAXFIN)   ! Fine mesh points [/cm] 
      DOUBLE PRECISION WNDFIN           ! Offset of fine mesh rel.to widemesh
      DOUBLE PRECISION WNLFIN, WNUFIN   ! Lower, Upper Wnos for fine mesh calc.
      DOUBLE PRECISION WN1FIN, WN2FIN   ! Lower, Upper Wnos at widemesh bounds
      DOUBLE PRECISION WNRFIN           ! Fine Mesh resolution
C
C -----------------------------------------------------------------------------
