      SUBROUTINE FIX3SF ( RNUM, STR, LENOUT )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Fit real number into given string to 3 sig.figs.
C     RFM general purpose routine
C     STR should be at least 9 characters to cover all possibilities
C     At least 8 characters if RNUM is positive.
C     If STR is insufficient to contain 3 sig figs it is filled with '*'
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL          RNUM   !  I  Number to be written
      CHARACTER*(*) STR    !  O  String to contain number
      INTEGER       LENOUT !  O  Number of characters of STR used (1:LENOUT)
C
C LOCAL VARIABLES
      INTEGER      I       ! Local counter
      INTEGER      LENLOC  ! Length of local string STRLOC
      INTEGER      LENSTR  ! Length of argument STR
      REAL         ANUM    ! Absolute value of RNUM  
      CHARACTER*10 STRLOC  ! Local string
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      LENSTR = LEN ( STR ) 
      ANUM = ABS ( RNUM ) 
C
      IF ( ANUM .GT. 999.5 ) THEN
        WRITE ( STRLOC, '(1PE9.2)' ) RNUM
      ELSE IF ( ANUM .GT. 99.95 ) THEN
        WRITE ( STRLOC, '(F4.0)' ) RNUM
      ELSE IF ( ANUM .GT. 9.995 ) THEN
        WRITE ( STRLOC, '(F5.1)' ) RNUM
      ELSE IF ( ANUM .GT. 0.9995 ) THEN
        WRITE ( STRLOC, '(F6.2)' ) RNUM
      ELSE IF ( ANUM .GT. 0.09995 ) THEN
        WRITE ( STRLOC, '(F7.3)' ) RNUM
      ELSE IF ( ANUM .GT. 0.009995 ) THEN
        WRITE ( STRLOC, '(F8.4)' ) RNUM
      ELSE
        WRITE ( STRLOC, '(1PE9.2)' ) RNUM
      END IF 
C
C Move forwards to remove any leadning blanks
      DO WHILE ( STRLOC(1:1) .EQ. ' ' ) 
        STRLOC = STRLOC(2:)
      END DO
C
      LENLOC = LEN ( STRLOC ) 
C Truncate any trailing blanks
      DO WHILE ( STRLOC(LENLOC:LENLOC) .EQ. ' ' ) 
        LENLOC = LENLOC - 1
      END DO
C
      IF ( LENLOC .LE. LENSTR ) THEN  ! write STR
        STR = STRLOC(1:LENLOC) 
        LENOUT = LENLOC
      ELSE                            ! STR too small, 
        DO I = 1, LENSTR
          STR(I:I) = '*'
        END DO
        LENOUT = LENSTR
      END IF
C
      END

