C FLGCOM.INC ------------------------------------------------------------------
      COMMON / FLGCOM / ABSFLG, AVGFLG, BBTFLG, BFXFLG, BINFLG, CHIFLG,
     &                  CIAFLG, CLCFLG, COOFLG, CTMFLG, DBLFLG, FINFLG, 
     &                  FLXFLG, FOVFLG, FVZFLG, GEOFLG, GHZFLG, GRAFLG, 
     &                  GRDFLG, HOMFLG, HYDFLG, ILSFLG, JACFLG, JTPFLG,
     &                  LAYFLG, LEVFLG, LINFLG, LOSFLG, LUNFLG, LUTFLG, 
     &                  MIXFLG, MTXFLG, NADFLG, NEWFLG, NTEFLG, OBSFLG, 
     &                  OPTFLG, PRFFLG, PTHFLG, QADFLG, RADFLG, REJFLG, 
     &                  REXFLG, RJTFLG, SFCFLG, SHHFLG, SHPFLG, TABFLG, 
     &                  TPSFLG, TRAFLG, V42FLG, VRTFLG, VVWFLG, WIDFLG, 
     &                  WNGFLG, ZENFLG
C
C VERSION
C     21JUL15 AD Add JTPFLG
C     02JUL15 AD Add CIAFLG
C     01JAN15 AD Add REXFLG
C     12DEC14 AD Add SHHFLG
C     05DEC14 AD Add CHIFLG, remove CRVFLG
C     12FEB14 AD Add HYDFLG
C     08AUG13 AD Add V42FLG
C     13SEP11 AD Add RJTFLG
C     06JAN04 AD Add PRFFLG
C     (remove old version comments)
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     RFM option flags, loaded by INPFLG.
C
      LOGICAL ABSFLG ! T = output absorption spectra
      LOGICAL AVGFLG ! T = spectrally average output
      LOGICAL BBTFLG ! T = output brightness temperatures
      LOGICAL BFXFLG ! T = use Planck Fn variation with optical depth in layer
      LOGICAL BINFLG ! T = write output spectra to binary files
      LOGICAL CHIFLG ! T = use Chi-Factor for any CO2 lines
      LOGICAL CIAFLG ! T = use Collision-Induced Absorption files
      LOGICAL CLCFLG ! T = Calculate absorption coefficients for each path
      LOGICAL COOFLG ! T = Calculate cooling rates
      LOGICAL CTMFLG ! T = use continuum data
      LOGICAL DBLFLG ! T = write output spectra with Double Precision
      LOGICAL FINFLG ! T = user-defined fine mesh prior to ILS convolution
      LOGICAL FLXFLG ! T = apply solid angle integration for flux calculation
      LOGICAL FOVFLG ! T = apply FOV convolution 
      LOGICAL FVZFLG ! T = FOV function defined as refracted tangent hts.
      LOGICAL GEOFLG ! T = use geometric (ie non-refractive) ray paths
      LOGICAL GHZFLG ! T = use GHz rather than wavenumber for spectral axis
      LOGICAL GRAFLG ! T = use horizontal gradients
      LOGICAL GRDFLG ! T = use user-supplied fine grid 
      LOGICAL HOMFLG ! T = use homogeneous path 
      LOGICAL HYDFLG ! T = use hydrostatic equilibrium for plane par.CG paths
      LOGICAL ILSFLG ! T = use instrument lineshape convolution
      LOGICAL JACFLG ! T = calculate Jacobian spectra
      LOGICAL JTPFLG ! T = Jacobians for tangent point perturbations only
      LOGICAL LAYFLG ! T = use sub-layering 
      LOGICAL LEVFLG ! T = intermediate outputs at specified altitude levels.
      LOGICAL LINFLG ! T = Assume VMR varies linearly with altitude
      LOGICAL LOSFLG ! T = calculate elevation pointing Jacobian spectra
      LOGICAL LUNFLG ! T = Use same logical unit number for all output spectra
      LOGICAL LUTFLG ! T = use Look-Up Tables for absorption coefficients
      LOGICAL MIXFLG ! T = use line-mixing
      LOGICAL MTXFLG ! T = produce inter-level matrix of flux calculations
      LOGICAL NADFLG ! T = nadir-viewing
      LOGICAL NEWFLG ! T = open new files STATUS='NEW' rather than 'UNKNOWN'
      LOGICAL NTEFLG ! T = use non-LTE vibrational temperatures 
      LOGICAL OBSFLG ! T = observer located within atmosphere
      LOGICAL OPTFLG ! T = output optical depth spectra
      LOGICAL PRFFLG ! T = output internal atmospheric profile
      LOGICAL PTHFLG ! T = output Path diagnostics
      LOGICAL QADFLG ! T = use simple quadratic fit to line wings
      LOGICAL RADFLG ! T = output Radiance spectra
      LOGICAL REJFLG ! T = implement line rejection
      LOGICAL REXFLG ! T = implement Rayleigh extinction
      LOGICAL RJTFLG ! T = output Rayleigh-Jeans brightness temperatures
      LOGICAL SFCFLG ! T = Allow for opaque surface under atmosphere
      LOGICAL SHHFLG ! T = suppress progress messages
      LOGICAL SHPFLG ! T = use non-Voigt line shapes
      LOGICAL TABFLG ! T = output tabulated absorption coefficients
      LOGICAL TPSFLG ! T = use tabulated Total Internal Partition Sum data
      LOGICAL TRAFLG ! T = output Transmission spectra
      LOGICAL V42FLG ! T = reproduce RFM v4.28 behaviour
      LOGICAL VRTFLG ! T = flux-type calculations with single vertical path
      LOGICAL VVWFLG ! T = apply Van Vleck-Weisskopf correction to lineshapes
      LOGICAL WIDFLG ! T = output wide-mesh calc diagnostics
      LOGICAL WNGFLG ! T = ignore lines beyond NWDCUT Voigt half-widths
      LOGICAL ZENFLG ! T = zenith-viewing
C
C -----------------------------------------------------------------------------
