C GRACOM.INC -----------------------------------------------------------------
C
      COMMON / GRACOM / NGRA, NOMGRA, 
     &                  FLNGRA, FLPGRA, FLQGRA, FLTGRA, FLVGRA, 
     &                  DNSGRA, LNPGRA, PREGRA, PSIGRA, QFNGRA, 
     &                  RFRGRA, TEMGRA, TVBGRA, VMRGRA
C
C VERSION
C     01JAN15 AD Add non-LTE: TVBGRA, QFNGRA, FLNGRA, FLQGRA
C                Change ordering of dimensions 
C                Add LNPGRA
C     30DEC99 AD Original.
C
C DESCRIPTION
C     Atmospheric 2-D Field data.
C     Mostly set by PRFGRA, missing values filled by ATMGRA.
C     DNSGRA, LNPGRA and RFRGRA set by ATMAUX.
C
      INTEGER NGRA                          ! No. of profile locations 
      INTEGER NOMGRA                        ! Index of ref (psi=0)  profile
      LOGICAL FLNGRA(MAXGRA,MAXNTE)         ! Flag T if TVB profile set
      LOGICAL FLPGRA(MAXGRA)                ! Flag T if Press.profile set
      LOGICAL FLQGRA(MAXGRA,MAXQFN)         ! Flag T if QFn profile set
      LOGICAL FLTGRA(MAXGRA)                ! Flag T if Temp.profile set
      LOGICAL FLVGRA(MAXGRA,MAXGAS)         ! Flag T if VMR profile set
      REAL    DNSGRA(MAXATM,MAXGRA)         ! 2-D Number Density field [/cm^3]
      REAL    LNPGRA(MAXATM,MAXGRA)         ! 2-D ln(p) field
      REAL    PREGRA(MAXATM,MAXGRA)         ! 2-D Pressure field [mb]
      REAL    PSIGRA(MAXGRA)                ! Psi values of each location
      REAL    QFNGRA(MAXATM,MAXGRA,MAXQFN)  ! 2-D Non-LTE Vib.Part.Fn.
      REAL    RFRGRA(MAXATM,MAXGRA)         ! 2-D Refractivity field
      REAL    TEMGRA(MAXATM,MAXGRA)         ! 2-D Temperature field
      REAL    TVBGRA(MAXATM,MAXGRA,MAXNTE)  ! 2-D Vib-Kin Tem field [K]
      REAL    VMRGRA(MAXATM,MAXGRA,MAXGAS)  ! 2-D VMR field for each species
C
C -----------------------------------------------------------------------------
