      SUBROUTINE GRDCHK ( FAIL, ERRMSG )
C
C VERSION
C     17NOV14 AD Original. Remove old routine with same name - different funct.
C
C DESCRIPTION
C     Check GRD files span ILS convolved spectral ranges
C     Called once by INPCHK if GRD and ILS/AVG flags enabled.
C     Called by INPCHK since when the original .grd files are checked the
C     ILS data for each spectral range may not have been loaded.
C
      IMPLICIT NONE
C
C ARGUMENTS
      LOGICAL       FAIL   !  O  Set TRUE if a fatal error is detected
      CHARACTER*80  ERRMSG !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  RFMLOG ! Write text message to RFM log file.
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gflcom.inc' ! Grid file data
      INCLUDE 'spccom.inc' ! Spectral Range & Resolution data
C
C LOCAL VARIABLES
      INTEGER      IGFL    ! Index of .grd file in /GFLCOM/
      INTEGER      ISPC    ! Index of spectral ranges in /SPCCOM/
      CHARACTER*80 MESSGE  ! Message sent to log file
      DOUBLE PRECISION WNOTOL ! Tolerance [cm-1] for matching spectral values
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      WNOTOL = 0.1 * RESGFL
      DO ISPC = 1, NSPC
        IF ( IDXGFL(ISPC) .GT. 0 ) THEN      ! No grid assigned yet
          IGFL = IDXGFL(ISPC)
          IF ( WXLSPC(ISPC) .LT. WMNGFL(IGFL) - WNOTOL .OR.
     &         WXUSPC(ISPC) .GT. WMXGFL(IGFL) + WNOTOL ) THEN
            WRITE ( MESSGE, '(A,A)' )
     &        'W-GRDCHK: ILS wider than GRD, Spc.Rng=', LABSPC(ISPC)
            CALL RFMLOG ( MESSGE, FAIL, ERRMSG )
              IF ( FAIL ) RETURN
          END IF
        END IF
      END DO
C
      END
