      REAL FUNCTION HGTPSI ( LNP, PSI )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Determine altitude of given (pre,psi) coordinate.
C     RFM general purpose function.
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL    LNP         !  I  ln(Pressure[mb])
      REAL    PSI         !  I  Horizontal angle [deg]
C
      EXTERNAL 
     &  IDXINT ! Index of array element below given value, and interp. fraction.
     &, LOOKUP ! General purpose interpolation routine
      INTEGER IDXINT
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
      INCLUDE 'gracom.inc' ! Atmospheric 2-D field data
C
C LOCAL VARIABLES
      INTEGER IGRA   ! Index of horiz.location before PSI
      INTEGER JGUESS ! first guess value for vertical interpolation
      REAL    DGRA   ! Horizontal interpolation factor (0:1)
      REAL    HGTI   ! Height of lnp at location IGRA
      REAL    HGTJ   ! Height of lnp at location IGRA+1
C
C EXECUTABLE CODE -------------------------------------------------------------
C
C Locate point in horizontal domain
      IGRA = IDXINT ( PSIGRA, NGRA, PSI, DGRA ) 
C
C Vertically interpolate at horizontal locations either side
      CALL LOOKUP ( LNP, HGTI, LNPGRA(1,IGRA), HGTATM, NATM, JGUESS, 1 ) 
      CALL LOOKUP ( LNP, HGTJ, LNPGRA(1,IGRA+1), HGTATM, NATM, JGUESS,1) 
      HGTPSI = DGRA * HGTJ + (1.0-DGRA) * HGTI
C
      END

