      INTEGER FUNCTION IDGOLD ( IDGNEW )
C
C VERSION
C     19DEC13 AD Original. Based on IDGNEW
C
C DESCRIPTION
C     Convert new RFM index for .xsc data to old value
C     General purpose RFM function.
C     This is the inverse of function IDGNEW
C     Returns IDGOLD = 0 if IDGNEW not listed
C     Returns IDGOLD = IDGNEW if IDGNEW LE 49 - assumes unchanged
C     See molidx.for for definitive list of new index assignments
C
      IMPLICIT NONE 
C
C ARGUMENTS
      INTEGER IDGNEW !  I  Old index
C 
C GLOBAL CONSTANTS
      INCLUDE 'idxcon.inc' ! HITRAN molecular indices
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      IF ( IDGNEW .LE. 49 ) THEN
        IDGOLD = IDGNEW    ! no change, already old index
        RETURN
      END IF
C
      IDGOLD = 0
      IF ( IDGNEW .EQ. IDXAER ) IDGOLD = 50     ! aerosol
      IF ( IDGNEW .EQ. 111 ) IDGOLD = 51        ! f11
      IF ( IDGNEW .EQ. 112 ) IDGOLD = 52        ! f12
      IF ( IDGNEW .EQ. 117 ) IDGOLD = 53        ! f13
      IF ( IDGNEW .EQ. 118 ) IDGOLD = 54        ! f14
      IF ( IDGNEW .EQ. 121 ) IDGOLD = 55        ! f21
      IF ( IDGNEW .EQ. 122 ) IDGOLD = 56        ! f22
      IF ( IDGNEW .EQ. 113 ) IDGOLD = 57        ! f113
      IF ( IDGNEW .EQ. 114 ) IDGOLD = 58        ! f114
      IF ( IDGNEW .EQ. 115 ) IDGOLD = 59        ! f115
      IF ( IDGNEW .EQ. 104 ) IDGOLD = 60        ! ccl4
      IF ( IDGNEW .EQ. 101 ) IDGOLD = 61        ! clono2
      IF ( IDGNEW .EQ. 102 ) IDGOLD = 62        ! n2o5
      IF ( IDGNEW .EQ. 105 ) IDGOLD = 63        ! hno4
      IF ( IDGNEW .EQ. 103 ) IDGOLD = 64        ! sf6
C
      IF ( IDGNEW .EQ. 123 ) IDGOLD = 70        ! f123
      IF ( IDGNEW .EQ. 124 ) IDGOLD = 71        ! f124
      IF ( IDGNEW .EQ. 125 ) IDGOLD = 72        ! f141b
      IF ( IDGNEW .EQ. 126 ) IDGOLD = 73        ! f142b
      IF ( IDGNEW .EQ. 127 ) IDGOLD = 74        ! f225ca
      IF ( IDGNEW .EQ. 128 ) IDGOLD = 75        ! f225cb
      IF ( IDGNEW .EQ. 132 ) IDGOLD = 76        ! f32
      IF ( IDGNEW .EQ. 131 ) IDGOLD = 77        ! f125
      IF ( IDGNEW .EQ. 133 ) IDGOLD = 78        ! f134
      IF ( IDGNEW .EQ. 134 ) IDGOLD = 79        ! f134a
      IF ( IDGNEW .EQ. 135 ) IDGOLD = 80        ! f143a
      IF ( IDGNEW .EQ. 136 ) IDGOLD = 81        ! f152a
      IF ( IDGNEW .EQ. 116 ) IDGOLD = 82        ! f116
      IF ( IDGNEW .EQ. 106 ) IDGOLD = 83        ! sf5cf3
      IF ( IDGNEW .EQ. 145 ) IDGOLD = 84        ! pan
      IF ( IDGNEW .EQ. 142 ) IDGOLD = 85        ! ch3cn
      IF ( IDGNEW .EQ. 153 ) IDGOLD = 86        ! c6h6
      IF ( IDGNEW .EQ. 151 ) IDGOLD = 87        ! c2h6
      IF ( IDGNEW .EQ. 152 ) IDGOLD = 88        ! c3h8
      IF ( IDGNEW .EQ. 144 ) IDGOLD = 89        ! acetone
C
      END
