      INTEGER FUNCTION IDXGRA ( PSI )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Index of PSI angle in horizontal gradient /GRACOM/ arrays.
C     General purpose function.
C     Returns value 0 if angle not stored.
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL         PSI     !  I  Gradient angle [deg]
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gracom.inc' ! Atmospheric 2-D field data
C
C LOCAL CONSTANTS
      REAL PSITOL          ! Tolerance for distinguishing psi angles [deg]
        PARAMETER ( PSITOL = 1.0E-6 ) ! 1e-6 deg = 900m on earth's surface 
C
C LOCAL VARIABLES
      INTEGER      IGRA    ! Counter for no.different profile locations
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      DO IGRA = 1, NGRA
        IF ( ABS ( PSI - PSIGRA(IGRA) ) .LT. PSITOL ) THEN 
          IDXGRA = IGRA
          RETURN
        END IF
      END DO
C
      IDXGRA = 0
C
      END
