      INTEGER FUNCTION IDXNTE ( IDG, ISO, IGQ )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Index of Vib.Temp data in /NTECOM/ arrays
C     General purpose function.
C     Returns value 0 if Vib.Temp not stored.
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER IDG  !  I  HITRAN/RFM Index of molecule (eg 1=H2O)
      INTEGER ISO  !  I  Isotope identifier (1,2,..etc)
      INTEGER IGQ  !  I  Vibrational level identifier 
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'ntecom.inc' ! Non-LTE data 
C
C LOCAL VARIABLES
      INTEGER INTE ! Counter for no.different profile locations
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      DO INTE = 1, NNTE
        IF ( IDGNTE(INTE) .EQ. IDG .AND.
     &       ISONTE(INTE) .EQ. ISO .AND.
     &       IGQNTE(INTE) .EQ. IGQ       ) THEN
          IDXNTE = INTE
          RETURN
        END IF
      END DO
C
      IDXNTE = 0
C
      END
