      INTEGER FUNCTION IDXQFN ( IDG, ISO )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Index of non-LTE partition function data in /QFNCOM/ arrays
C     General purpose function.
C     Returns value 0 if partition function not stored
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER IDG  !  I  HITRAN/RFM Index of molecule (eg 1=H2O)
      INTEGER ISO  !  I  Isotope identifier (1,2,..etc)
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'qfncom.inc' ! Non-LTE data 
C
C LOCAL VARIABLES
      INTEGER IQFN ! Counter for no.different profile locations
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      DO IQFN = 1, NQFN
        IF ( IDGQFN(IQFN) .EQ. IDG .AND.
     &       ISOQFN(IQFN) .EQ. ISO ) THEN
          IDXQFN = IQFN
          RETURN
        END IF
      END DO
C
      IDXQFN = 0
C
      END
