      INTEGER FUNCTION IGASID ( IDGAS, IDISO )
C
C VERSION
C     13JAN14 AD Original
C
C DESCRIPTION
C     Determine GASCOM index for given Gas#ID and Iso#ID
C     General purpose function.
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER IDGAS        !  I  Molecule ID
      INTEGER IDISO        !  I  Isotopic ID, or -1 if no isotopic distinction
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
C
C LOCAL VARIABLES
      INTEGER IGAS         ! Local value of IGASID, or IGAS for Iso#0
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      IGASID = 0
      IF ( IDGAS .LE. 0 .OR. IDGAS .GE. MAXMOL ) RETURN
      IGAS = IGSMOL ( IDGAS )
C
      IF ( IDISO .EQ. -1 ) THEN
        IF ( ISOMOL(IDGAS) ) RETURN
        IGASID = IGAS
      ELSE
        IF ( .NOT. ISOMOL(IDGAS) ) RETURN
        IF ( IDISO .LT. -1 .OR. IDISO .GT. NISGAS(IGAS) ) RETURN
        IGASID = ISOGAS(IDISO,IGAS)
      END IF
C
      END
