      SUBROUTINE INSATM ( NATM, IDXATM, LOGINT, ALPHA, PRFATM )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Insert extra level into profile
C     Called by ATMLEV for each profile.
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER NATM         !  I  No.levels in new profile
      INTEGER IDXATM       !  I  Index of new level to be interpolated
      LOGICAL LOGINT       !  I  T=log interpolation, F=linear
      REAL    ALPHA        !  I  Interpolation fraction
      REAL    PRFATM(*)    ! I/O Profile to be interpolated
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C LOCAL VARIABLES
      INTEGER       IATM   !  Atmospheric profile level index
C
C EXECUTABLE CODE -------------------------------------------------------------
C
C Copy all higher levels up one index
      DO IATM = NATM, IDXATM + 1, -1
        PRFATM(IATM) = PRFATM(IATM-1)
      END DO
C Interpolate value for inserted level
      IATM = IDXATM - 1
      IF ( LOGINT .AND. PRFATM(IDXATM) .GE. ARGMIN 
     &            .AND. PRFATM(IATM) .GE. ARGMIN )  THEN 
        PRFATM(IDXATM) = EXP ( ALPHA * LOG ( PRFATM(IDXATM) ) + 
     &                   ( 1.0 - ALPHA ) * LOG ( PRFATM(IATM) ) )
      ELSE
        PRFATM(IDXATM) = ALPHA * PRFATM(IDXATM) + 
     &                   ( 1.0 - ALPHA ) * PRFATM(IATM)
      END IF
C
      END
