      INTEGER FUNCTION ISZSVD ( PAR, MSPC )
C
C VERSION
C     14JAN14 AD Original.
C
C DESCRIPTION
C     Find max array space required for SVD-LUT data
C     Called by LUTCHK for each array size parameter once all LUT files loaded.
C
      IMPLICIT NONE
C
C ARGUMENTS
      CHARACTER*1 PAR      !  I  Parameter to be checked
      INTEGER     MSPC     !  O  Index of spectral range setting limit
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'lflcom.inc' ! Look-Up Table file data
C
C LOCAL VARIABLES
      INTEGER IGAS         ! Counter for molecules
      INTEGER ILFL         ! Index in /LFLCOM/ for LUT for gas/spc combination 
      INTEGER ISPC         ! Counter for spectral ranges
      INTEGER N            ! Total count
      INTEGER MAXN         ! Local max value of N so far
C
C EXECUTABLE CODE --------------------------------------------------------------
C
C Note that IDXLFL is initialised to 0 for full array size so summing over
C constant MAXGAS, MAXSPC rather than variable NGAS, NSPC is OK.
      MAXN = -1
      DO ISPC = 1, MAXSPC 
        N = 0
        DO IGAS = 1, MAXGAS
          ILFL = IDXLFL(IGAS,ISPC)
          IF ( ILFL .GT. 0 ) THEN
            IF ( SVDLFL(ILFL) ) THEN
              IF ( PAR .EQ. 'T' ) THEN
                N = N + 1
              ELSE IF ( PAR .EQ. 'V' ) THEN   
                N = N + NVLFL(ILFL)
              ELSE IF ( PAR .EQ. 'X' ) THEN
                N = N + NXLFL(ILFL)
              END IF
            END IF
          END IF
        END DO
        IF ( N .GT. MAXN ) THEN
          MAXN = N
          MSPC = ISPC
        END IF
      END DO
C
      ISZSVD = MAXN
C
      END
