      SUBROUTINE JACHDR ( IJAC, ITAN, HEADER )
C
C VERSION
C     08JAN15 AD Original. Part of old JACNAM subroutine.
C
C DESCRIPTION
C     Construct Jacobian header record
C     Called by OPNOUT for each Jacobian file.
C     Also called if MTX option selected.
C
      IMPLICIT NONE
C
      EXTERNAL
     &  NAMJAC ! Construct Jacobian string for insertion into RFM filename
C
C ARGUMENTS
      INTEGER       IJAC   !  I  Index of Jacobian element
      INTEGER       ITAN   !  I  Index of tangent height
      CHARACTER*80  HEADER !  O  Header record
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmcon.inc' ! Constants for RFM calculations
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES 
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
      INCLUDE 'flgcom.inc' ! RFM option flags
      INCLUDE 'jaccom.inc' ! Jacobian data
      INCLUDE 'tancom.inc' ! Tangent heights
C
C LOCAL VARIABLES
      INTEGER      IATM    ! Atmos.profile level of Jacobian element
      CHARACTER*9  JACSTR  ! Type of Jacobian 
C
C EXECUTABLE CODE ------------------------------------------------------------
C
C Special case of IJAC=-1 to define LOS jacobian
      IF ( IJAC .EQ. -1 ) THEN
        IF ( USRELE ) THEN
          WRITE ( HEADER, '(A,F6.3,A)' ) 
     &  '! Pointing Jacobian spectrum for', PTBLOS, ' deg perturbation'
        ELSE 
          WRITE ( HEADER, '(A,F6.3,A)' ) 
     &  '! Pointing Jacobian spectrum for', PTBLOS, ' km perturbation'
        END IF
        RETURN
      END IF
C
      CALL NAMJAC ( IJAC, .FALSE., JACSTR ) 
      IATM = IATJAC(IJAC) 
C
      IF ( JACFLG ) THEN
        IF ( IATM .GT. 0 ) THEN
          WRITE ( HEADER, '(A,A7,A,F10.3,A)' ) 
     &      '! Jacobian spectrum for ', JACSTR, 
     &      ' perturbed at altitude = ', HGTATM(IATM), ' [km]'
        ELSE                   ! Surface or column perturbation
          WRITE ( HEADER, '(A,A7)' ) 
     &      '! Jacobian spectrum for ', JACSTR 
        END IF
      ELSE IF ( MTXFLG ) THEN
        WRITE ( HEADER, '(A,F10.3,A,F10.3,A)' )
     &    '! Flux matrix spectrum between levels ', HGTTAN(ITAN), 
     &    ' - ', HGTATM(IATM), ' km'
      ELSE                                           ! LEV flag
        WRITE ( HEADER, '(A,F10.3,A,A,A)' )
     &    '! Intermediate spectrum at level ', HGTATM(IATM), 
     &    ' km in ', JACSTR, ' path'
      END IF
C
      END
