      SUBROUTINE JACTAN ( NFLD, FAIL, ERRMSG )
C
C VERSION
C     21JUL15 AD Original.
C
C DESCRIPTION
C     Pass list of tangent heights to Jacobian check
C     Called by INPJAC if 'TAN' in *JAC section list of tangent heights
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER      NFLD    !  I  Field# within record of 'TAN'
      LOGICAL      FAIL    !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG  !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  ACCLOG !  Accumulate and send text record to log file.
     &, C9FLT  ! Write real number as C*9 string up to 3 s.f.
     &, JACCHK ! Check target & Alt.range of Jacobian data
      CHARACTER*9 C9FLT
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'flgcom.inc' ! RFM option flags
      INCLUDE 'tancom.inc' ! Tangent heights
C
C LOCAL VARIABLES
      INTEGER     ITAN     ! Counter for tangent heights
      CHARACTER*9 TANSTR   ! Tangent height [km] as string for log file
C
C EXECUTABLE CODE ------------------------------------------------------------
C
      FAIL = .TRUE.
C TAN only valid if limb-viewing mode
      IF ( ZENFLG .OR. NADFLG .OR. HOMFLG ) THEN
        ERRMSG = 'F-JACTAN: ''TAN'' entry in *JAC section '//
     &           'only valid for limb-viewing mode'
C and with tangent paths expressed as refracted (ie actual) atmos.altitudes
C ie the same coordinates as used in the normal *JAC section
      ELSE IF ( USRELE .OR. USRGEO ) THEN
        ERRMSG = 'F-JACTAN: ''TAN'' entry in *JAC section '//
     &           'only valid with *TAN section (refrac.alts)'
      ELSE IF ( NFLD .NE. 2 ) THEN
        ERRMSG = 'F-JACTAN: ''TAN'' entry must be 3rd field in record'
      ELSE
        FAIL = .FALSE.
      END IF
      IF ( FAIL ) RETURN
C
      DO ITAN = 1, NTAN
        CALL JACCHK ( ' ', .FALSE., USRTAN(ITAN), FAIL, ERRMSG )
        IF ( FAIL ) RETURN
        TANSTR = C9FLT ( USRTAN(ITAN) ) 
        CALL ACCLOG ( TANSTR, FAIL, ERRMSG )
        IF ( FAIL ) RETURN
      END DO
C 
      END
