      LOGICAL FUNCTION JTPPTH ( IPTH, IJAC )
C
C VERSION
C     21JUL15 AD Original.
C
C DESCRIPTION
C     Function to determine if tan.pt.Jacobian path
C     Called by RFMPTH if JTP flag enabled.
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER IPTH  !  I  Index of path in /PTHCOM/
      INTEGER IJAC  !  I  Index of Jacobian in /JACCOM/
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'flgcom.inc' ! RFM option flags
      INCLUDE 'fovcom.inc' ! FOV Data
      INCLUDE 'jaccom.inc' ! Jacobian data
      INCLUDE 'pthcom.inc' ! RFM path data
      INCLUDE 'tancom.inc' ! Tangent heights
C
C LOCAL VARIABLES
      INTEGER IFOV  !  Counter for FOV convolution points
      INTEGER ITAN  !  Index for tangent path in /TANCOM/ of segement IPTH 
      INTEGER JTAN  !  Index for nominal tan.path in /TANCOM/ of Jacob IJAC
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      IF ( .NOT. JTPFLG ) STOP 'F-JTPPTH: Logical error'
C
      JTPPTH = .TRUE.
      ITAN = ITNPTH(IPTH)
C
C Nominal tangent path
      JTAN = JTPJAC(IJAC)
      IF ( ITAN .EQ. JTPJAC(IJAC) ) RETURN
C
C FOV convolutions for nominal tangent path
      IF ( FOVFLG ) THEN
        DO IFOV = 1, NFOV
          IF ( ITAN .EQ. IFVTAN(IFOV,JTAN) ) RETURN
        END DO
      END IF
C
      JTPPTH = .FALSE.
C
      END
