C LFLCOM.INC -------------------------------------------------------------------
      COMMON / LFLCOM / NLFL, IDXLFL, IGSLFL, ILTLFL, LUNLFL, 
     &                  NDPLFL, NDTLFL, NLLFL, NPLFL, NQLFL, NTLFL,
     &                  NVLFL, NXLFL, 
     &                  BINLFL, GHZLFL, IRRLFL, SPCLFL, SVDLFL, 
     &                  NAMLFL
      COMMON / LFLDBL / V1LFL, V2LFL

C
C VERSION
C     13NOV14 AD Add IRRLFL
C     16JAN14 AD Rewritten for new LUT handling
C     06JUN00 AD Add IRRLFL
C     04JUN99 AD Add NHDLFL, BINLFL
C     28APR99 AD Add NDPLFL, NDTLFL
C     20JAN98 AD Add NSVLFL
C     18JUL97 AD Add TABLFL
C     02JUL97 AD Original.
C
C DESCRIPTION
C     Common variables associated with RFM Look-Up Table files.
C     Loaded by LUTFIL. NLFL initialised in INPLUT.
C
      INTEGER      NLFL            ! No. of LUT files to be used
      INTEGER      IDXLFL(MAXGAS,MAXSPC) ! Index of LUT file for each gas/spc
      INTEGER      IGSLFL(MAXLFL)  ! Index of Gas in each LUT file
      INTEGER      ILTLFL(MAXLFL)  ! Index of LFL in current spectral range
      INTEGER      LUNLFL(MAXLFL)  ! LUN for each LUT file
      INTEGER      NDPLFL(MAXLFL)  ! Factor for -lnp axis increments
      INTEGER      NDTLFL(MAXLFL)  ! Factor for Temp axis increments
      INTEGER      NLLFL(MAXLFL)   ! No.singular values used in each SVD file
      INTEGER      NPLFL(MAXLFL)   ! No. p-axis values in TAB file
      INTEGER      NQLFL(MAXLFL)   ! No. q-axis values in TAB file 
      INTEGER      NTLFL(MAXLFL)   ! No. T-axis values in TAB file
      INTEGER      NVLFL(MAXLFL)   ! No. spectral axis points for each file
      INTEGER      NXLFL(MAXLFL)   ! No. reqd p*T*q axis tabulation points
      LOGICAL      BINLFL(MAXLFL)  ! T=Binary TAB file, F=ASCII file 
      LOGICAL      GHZLFL(MAXLFL)  ! T=GHz axis TAB file , F=Wno axis TAB file
      LOGICAL      IRRLFL(MAXLFL)  ! T=Irreg.spectral grid, F=regular
      LOGICAL      SPCLFL(MAXLFL)  ! T=use this TAB file in current Spc.range
      LOGICAL      SVDLFL(MAXLFL)  ! T=SVD-LUT file, F=TAB-LUT file
      CHARACTER*200 NAMLFL(MAXLFL)   ! Name of LUT file
C
      DOUBLE PRECISION V1LFL(MAXLFL) ! Lower wno [cm-1] for LUT file
      DOUBLE PRECISION V2LFL(MAXLFL) ! Upper wno [cm-1] for LUT file
C
C ------------------------------------------------------------------------------
