      SUBROUTINE LORSHP ( NWNO, DWNO, ABSORP )
C
C VERSION
C     09JAN15 AD Tidied up
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Calculate Lorentz Line shape.
C     Called by RFMFIN and RFMWID if Lorentz line shape specified
C     Uses path-adjusted line data in /ADJCOM/
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER NWNO         !  I  No. wavenumber points to be evaluted
      DOUBLE PRECISION DWNO(NWNO) !  I  Array of Wavenumbers [cm-1]
      REAL    ABSORP(NWNO) !  O  Absorption 
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C COMMON VARIABLES
      INCLUDE 'adjcom.inc' ! Path-Adjusted line data
C
C LOCAL VARIABLES
      INTEGER  IWNO ! Wavenumber array counter
      REAL     TOP  ! Numerator of Lorentz expression
      REAL     W2   ! Width^2
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      TOP = STRADJ * WIDADJ / PI                   
      W2 = WIDADJ**2
C
      DO IWNO = 1, NWNO 
        ABSORP(IWNO) = TOP / 
     &    ( SNGL ( ( DWNO(IWNO) - WNOADJ )**2 ) + W2 )
      END DO
C
      END                                                 
