      CHARACTER*7 FUNCTION NAMGAS ( IGAS, LEN )
C
C VERSION
C     13JUL15 AD Convert to FUNCTION.
C                Append 'i'+iso# to name
C     08JAN15 AD Original.
C
C DESCRIPTION
C     Return molecular name associated with /GASCOM/ index
C     RFM general purpose function.
C     If isotopomer, then 'i'+iso# is appended to name, or 'i0' for unspecified
C     isotopes for isotopically-split species
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER      IGAS    !  I  Index of GAS in RFM list /GASCOM/
      INTEGER      LEN     !  O  Number of characters written in NAM
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
C
C LOCAL VARIABLES
      CHARACTER*7 NAM      ! local string for output
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      NAM = CODGAS(IGAS)
      LEN = INDEX ( NAM//' ', ' ' ) - 1
      IF ( ISOMOL(IDXGAS(IGAS)) ) THEN 
        WRITE ( NAM(LEN+1:LEN+2), '(A,I1)' ) 'i', IDIGAS(IGAS)
        LEN = LEN + 2
      END IF
C
      NAMGAS = NAM      
C
      END
