      SUBROUTINE NTEGRA
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Interpolate to fill 2-D atmospheric non-LTE profile field.
C     Called by INPATM and INPNTE if GRA flag enabled
C     Works like ATMGRA but specifically for non-LTE data
C
      IMPLICIT NONE
C
      EXTERNAL
     &  INTGRA ! Interpolate to fill 2-D atmospheric profile field.
     &, MOVGRA ! Exchange profiles between /ATMCOM/ and /GRACOM/ arrays.
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
      INCLUDE 'gracom.inc' ! Atmospheric 2-D field data
      INCLUDE 'ntecom.inc' ! Non-LTE data 
      INCLUDE 'qfncom.inc' ! non-LTE Partition Functions 
C
C LOCAL VARIABLES
      INTEGER INTE ! Counter for Vib Temp profiles
      INTEGER IQFN ! Counter for non-LTE Vib.Partition functions
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      DO INTE = 1, NNTE
        CALL INTGRA ( NGRA, NATM, MAXATM, FLNGRA(1,INTE), .TRUE., 
     &                PSIGRA, TVBGRA(1,1,INTE) ) 
      END DO
      DO IQFN = 1, NQFN
        CALL INTGRA ( NGRA, NATM, MAXATM, FLQGRA(1,IQFN), .TRUE., 
     &                PSIGRA, QFNGRA(1,1,IQFN) ) 
      END DO 
C
      CALL MOVGRA ( NOMGRA, 0 )
C
      END                     
