      SUBROUTINE OPNFIL ( LUNFIL, NAMFIL, FAIL, ERRMSG )
C
C VERSION
C     12JUL15 AD Increase RECORD from C*80 to C*200
C     19DEC13 AD Use NAMLOG instead of ACCLOG
C     04DEC13 AD Use ACCLOG rather than local MESSGE variable
C     05DEC00 AD Comment out READONLY
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     18SEP96 AD Don't convert filename to lower case before opening.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Open ASCII input file, and skip/Log any initial comments.
C     General purpose routine.
C     First record written to Log file if it begins with '!'
C     All subsequent records beginning with '!' are skipped
C     Sets file pointer ready to read 1st record not beginning with '!'.
C
      IMPLICIT NONE 
C
C ARGUMENTS
      INTEGER       LUNFIL !  I  LUN for opening/reading file
      CHARACTER*(*) NAMFIL !  I  File name 
      LOGICAL       FAIL   !  O  Set TRUE if a fatal error is detected
      CHARACTER*80  ERRMSG !  O  Error message written if FAIL is TRUE
C
      EXTERNAL
     &  NAMLOG ! Send text plus variable length filename to log file.
     &, NXTREC ! Load next record from RFM input file.
     &, RFMLOG ! Write text message to RFM log file.
C
C LOCAL VARIABLES
      INTEGER       IOS    ! Saved value of IOSTAT for error messages
      LOGICAL       LDUMMY ! Set TRUE if end-of-section/file reached (ignored)
      CHARACTER*200 RECORD ! Text record read from file
C
C EXECUTABLE CODE --------------------------------------------------------------
C
C Use of NAMLOG rather than RFMLOG avoids having to make any assumptions about
C the maximum length of NAMFIL
      CALL NAMLOG ( 'I-OPNFIL: Opening file: ', NAMFIL, FAIL, ERRMSG )
      IF ( FAIL ) RETURN
C
      OPEN ( UNIT=LUNFIL, FILE=NAMFIL, STATUS='OLD', 
     &       IOSTAT=IOS, ERR=900 )
C
C Print first record of file to Log file (should be a comment anyway)
      READ ( LUNFIL, '(A80)', IOSTAT=IOS, ERR=900 ) RECORD
      CALL RFMLOG ( '  '//RECORD, FAIL, ERRMSG )
      BACKSPACE ( LUNFIL, IOSTAT=IOS, ERR=900 ) 
C
C Set pointer to first non-comment, non-blank record
      CALL NXTREC ( LUNFIL, RECORD, LDUMMY, FAIL, ERRMSG )
      IF ( FAIL ) RETURN
      BACKSPACE ( LUNFIL, IOSTAT=IOS, ERR=900 )
C
C Normal exit
      RETURN
C
  900 FAIL = .TRUE.
      WRITE ( ERRMSG, '(A,I11)' )       
     &  'F-OPNFIL: I/O failure on file. IOSTAT=', IOS 
C
      END
