C OUTCOM.INC ------------------------------------------------------------------
      COMMON / OUTCOM / WNLOUT, WNUOUT, WNROUT, 
     &          IFLABS, IFLBBT, IFLCOO, IFLOPT, IFLRAD, IFLRJT, IFLTRA,
     &          IOFOUT, IOUT1,  IOUT2, 
     &          LUNABS, LUNBBT, LUNCOO, LUNOPT, LUNRAD, LUNRJT, LUNTAB, 
     &          LUNTRA, LUNWID, 
     &          NFLOUT, NPTOUT, NPWOUT, 
     &          LABOUT, TXTHDR, VERSN, 
     &          NAMABS, NAMBBT, NAMCOO, NAMOPT, NAMPRF, NAMPTH, NAMRAD, 
     &          NAMRJT, NAMTAB, NAMTRA, NAMWID, 
     &          RUNID,  FILOUT
C
C VERSION
C     21JUL15 AD Add NFLOUT
C     09JAN15 AD Change TXTHDR from C*200 back to C*79
C     07AUG13 AD Change NAM*, FILOUT, TXTHDR from C*80 to C*200
C     14SEP11 AD Add IFLRTJ, LUNRJT, NAMRJT
C     06JAN04 AD Add NAMPRF
C     09AUG03 AD Add IFLBBT, LUNBBT, NAMBBT
C     24JAN03 AD Add IOFOUT
C     20JUL02 AD Add IFL*
C     07APR00 AD Add NAMCOO, LUNCOO     
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     List of RFM output file data.
C
      DOUBLE PRECISION WNLOUT    ! Lower wavenumber for output spectra
      DOUBLE PRECISION WNUOUT    ! Upper wavenumber for output spectra
      DOUBLE PRECISION WNROUT    ! Resolution for output spectra
      INTEGER          IFLABS    ! Offset index for output absorption files
      INTEGER          IFLBBT    ! Offset index for output bright.temp files
      INTEGER          IFLCOO    ! Offset index for output cooling rate files
      INTEGER          IFLOPT    ! Offset index for output optical depth files
      INTEGER          IFLRAD    ! Offset index for output radiance files
      INTEGER          IFLRJT    ! Offset index for output Rayl-J.temp files
      INTEGER          IFLTRA    ! Offset index for output transmitt. files
      INTEGER          IOFOUT    ! Offset of output grid in fine grid intvls.
      INTEGER          IOUT1     ! Lower index for output in curr.widemesh
      INTEGER          IOUT2     ! Upper index for output in curr.widemesh
      INTEGER          LUNABS    ! LUN for 1st output absorption file
      INTEGER          LUNBBT    ! LUN for 1st output bright.temp file
      INTEGER          LUNCOO    ! LUN for 1st output coolingrate file
      INTEGER          LUNOPT    ! LUN for 1st output optical depth file
      INTEGER          LUNRAD    ! LUN for 1st output radiance file
      INTEGER          LUNRJT    ! LUN for 1st output Rayl-J.temp file
      INTEGER          LUNTAB    ! LUN for 1st tabulated Abs.Coeff file
      INTEGER          LUNTRA    ! LUN for 1st transmission file
      INTEGER          LUNWID    ! LUN for 1st output Widemesh file
      INTEGER          NFLOUT    ! Total No. output files (with LUN flag)
      INTEGER          NPTOUT    ! Total No.wavenumber points for output
      INTEGER          NPWOUT    ! No.output points per widemesh interval
      CHARACTER*8      LABOUT    ! Label for output spectral range
      CHARACTER*79     TXTHDR    ! Text header from driver table
      CHARACTER*11     VERSN     ! RFM version identifier
      CHARACTER*200    NAMABS    ! Name of output ABS file
      CHARACTER*200    NAMBBT    ! Name of output BBT file
      CHARACTER*200    NAMCOO    ! Name of output COO file
      CHARACTER*200    NAMOPT    ! Name of output OPT file
      CHARACTER*200    NAMPRF    ! Name of output PRF file
      CHARACTER*200    NAMPTH    ! Name of output PTH file
      CHARACTER*200    NAMRAD    ! Name of output RAD file
      CHARACTER*200    NAMRJT    ! Name of output RJT file
      CHARACTER*200    NAMTAB    ! Name of output TAB file
      CHARACTER*200    NAMTRA    ! Name of output TRA file
      CHARACTER*200    NAMWID    ! Name of output WID file
      CHARACTER*200    RUNID     ! Optional ID code for current run
      CHARACTER*200    FILOUT(MAXOUT) !Output filenames
C
C -----------------------------------------------------------------------------
