      SUBROUTINE PRFGRA ( IGRA, TYPE, IPRF )
C
C VERSION
C     01JAN15 AD Change arguments and simplify structure
C                Allow for IPRF representing TVib profiles
C     31DEC99 AD Original.
C
C DESCRIPTION
C     Copy single profile from /ATMCOM/ to /GRACOM/.
C     Called by ATMFIL for each profile with GRA flag enabled
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER      IGRA    !  I  Horiz.location index to load profile
      CHARACTER*1  TYPE    !  I  Type of profile, 'T', 'P', 'V', 'N'
      INTEGER      IPRF    !  I  Profile index (for 'V', 'N' and 'Q')
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
      INCLUDE 'gracom.inc' ! Atmospheric 2-D field data
      INCLUDE 'ntecom.inc' ! Non-LTE data
      INCLUDE 'qfncom.inc' ! non-LTE Partition Functions 
C
C LOCAL VARIABLES
      INTEGER      IATM    ! Counter for atmospheric profile levels
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      IF ( TYPE .EQ. 'P' ) THEN                 ! Flag for pressure profile
        DO IATM = 1, NATM
          PREGRA(IATM,IGRA) = PREATM(IATM)
        END DO
        FLPGRA(IGRA) = .TRUE.
      ELSE IF ( TYPE .EQ. 'T' ) THEN             ! Flag for temperature profile
        DO IATM = 1, NATM
          TEMGRA(IATM,IGRA) = TEMATM(IATM)
        END DO
        FLTGRA(IGRA) = .TRUE.
      ELSE IF ( TYPE .EQ. 'V' ) THEN
        DO IATM = 1, NATM
          VMRGRA(IATM,IGRA,IPRF) = VMRATM(IATM,IPRF)
        END DO
        FLVGRA(IGRA,IPRF) = .TRUE.
      ELSE IF ( TYPE .EQ. 'N' ) THEN
        DO IATM = 1, NATM
          TVBGRA(IATM,IGRA,IPRF) = TEMNTE(IATM,IPRF)
        END DO
        FLNGRA(IGRA,IPRF) = .TRUE.
      ELSE IF ( TYPE .EQ. 'Q' ) THEN
        DO IATM = 1, NATM
          QFNGRA(IATM,IGRA,IPRF) = PRFQFN(IATM,IPRF)
        END DO
        FLQGRA(IGRA,IPRF) = .TRUE.
      ELSE
        STOP 'F-PRFGRA: Logical error'       ! unrecognised TYPE
      END IF
C
      END
