C PTHCOM.INC ------------------------------------------------------------------
      COMMON / PTHCOM / NPTH, NCLC, IATPTH, IDRPTH, IGSPTH, 
     &                  ISCPTH, ITNPTH, IVJPTH, NLNPTH, 
     &          AMTPTH, PREPTH, PPAPTH, PSIPTH, PSUPTH, RAYPTH, TEMPTH,
     &                  CLCPTH
C
C VERSION
C     01JAN15 AD Add PSUPTH
C     03MAY05 AD Add IVJPTH
C     02JAN00 AD Add IDRPTH, PSIPTH. Remove redundant IDIPTH 
C     31JAN99 AD Remove JACPTH
C     02JAN99 AD Add JACPTH
C     10JUL98 AD Remove redundant IFLPTH
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with RFM paths (=atm.path * absorbers)
C     Set up in various routines, reshuffled in PTHSRT (unless CLCFLG).
C
      INTEGER  NPTH           ! No. of paths used
      INTEGER  NCLC           ! No. of paths for explicit line calculations
      INTEGER  IATPTH(MAXPTH) ! Atmospheric profile layer# for this path
      INTEGER  IDRPTH(MAXPTH) ! 0=downward from obs, or irrelevant, 1=upward
      INTEGER  IGSPTH(MAXPTH) ! Absorbing gas# for this path
      INTEGER  ISCPTH(MAXPTH) ! Index of path to be used for scaling absorption
      INTEGER  ITNPTH(MAXPTH) ! Tangent Height# for this path
      INTEGER  IVJPTH(MAXPTH) ! Index of Jacobian for perturbed VT path (or 0)
      INTEGER  NLNPTH(MAXPTH) ! No.lines stored in cyclic buffer 
      REAL     AMTPTH(MAXPTH) ! Path gas amount [ kmol / cm^2 ] 
      REAL     PREPTH(MAXPTH) ! Pressure [atm]
      REAL     PPAPTH(MAXPTH) ! Partial pressure [atm]
      REAL     PSIPTH(MAXPTH) ! Horiz.angle [deg] of low alt end of path
      REAL     PSUPTH(MAXPTH) ! Abs.weighted Horiz.angle [deg] of path
      REAL     RAYPTH(MAXPTH) ! Ray length in path [km]
      REAL     TEMPTH(MAXPTH) ! Temperature [K]	
      LOGICAL  CLCPTH(MAXPTH) ! T=perform line-by-line calc.for this path
C
C -----------------------------------------------------------------------------
