C QALCOM.INC -------------------------------------------------------------------
C
      COMMON / QALCOM / NBND, IUSQAL, ILSQAL, USEQAL
C
C VERSION
C      02OCT97 AD Add MAXISO dimension. Remove ISOQAL
C      21JUL97 AD Original.
C
C DESCRIPTION
C     List of band/isotope qualifiers for line data.
C     Variables only valid if USEQAL for gas is set TRUE.
C     USEQAL set by GASCHK, other variables set by GASQAL.
C     Used in module REAHIT.
C     Note: since the number of isotopes is relatively small (compared to the
C     number of possible GQ numbers) it is possible to pre-assign a logical
C     flag to each isotope/gas combination. However, for the lower and upper
C     Global Quantum numbers it is necessary to construct a list of those that
C     are required. ILS,IUS values of 0 imply use any HITRAN index value.
C
      INTEGER   NBND(MAXISO,MAXGAS)           ! No. band qualifiers
      INTEGER   ILSQAL(MAXBND,MAXISO,MAXGAS)  ! Selected band lower GQ numbers
      INTEGER   IUSQAL(MAXBND,MAXISO,MAXGAS)  ! Selected band upper GQ numbers
      LOGICAL   USEQAL(MAXGAS)                ! T=at least one qualifier set
C
C ------------------------------------------------------------------------------
