      SUBROUTINE RFMDEF 
C
C VERSION
C     13JUL15 AD Initialise NLFL
C     01JAN15 AD Initialise NQFN
C     28NOV14 AD Initialise NSFC
C     12FEB14 AD Set variables in phycom.inc
C     14SEP11 AD Add NAMRJT
C     08JAN08 AD Initialise NNTE
C     (Older Version comments removed)
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Set RFM default filenames and adjustable physical constants
C     Callled by RFM once
C
      IMPLICIT NONE
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
      INCLUDE 'rfmcon.inc' ! Constants for RFM calculations
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES 
      INCLUDE 'fincom.inc' ! Fine mesh data
      INCLUDE 'lflcom.inc' ! Look-Up Table file data
      INCLUDE 'ntecom.inc' ! Non-LTE data
      INCLUDE 'outcom.inc' ! RFM output file data
      INCLUDE 'phycom.inc' ! Adjustable physical constants
      INCLUDE 'qfncom.inc' ! non-LTE Partition Functions
      INCLUDE 'rejcom.inc' ! Minimum Line strength limits
      INCLUDE 'rfmfil.inc' ! Standard filenames of RFM I/O files
      INCLUDE 'sfccom.inc' ! Surface parameters
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      NAMABS = DEFABS
      NAMBBT = DEFBBT
      NAMCOO = DEFCOO
      NAMOPT = DEFOPT
      NAMPRF = DEFPRF
      NAMPTH = DEFPTH
      NAMRAD = DEFRAD
      NAMRJT = DEFRJT
      NAMTAB = DEFTAB
      NAMTRA = DEFTRA 
      NAMWID = DEFWID
C
      WIDREJ = 0.0
      FINREJ = 0.0      
C
      NOMFIN = DEFFIN
C
      NLFL = 0     ! Initialise here since also tested in *JAC section
      NNTE = 0     ! Initialise here since NTE flag can be used without *NTE sec
      NQFN = 0     ! Initialise here since MOVGRA requires NQFN before *NTE sec
      NSFC = 0     ! Initialise here since SFC flag can be used without *SFC sec
C
C Default values of adjustable constants in phycom.inc
      CPKMOL = CPKMOL_DEF
      GRAVTY = GRAVTY_DEF
      WGTAIR = WGTAIR_DEF
      TEMSPA = TEMSPA_DEF
      RADCRV = RADCRV_DEF
C
      END     
