      SUBROUTINE SFCCHK ( FAIL, ERRMSG ) 
C 
C VERSION 
C     28NOV14 AD Original.
C 
C DESCRIPTION 
C     Set default surface parameters if no *SFC data in driver file
C     Called by INPCHK if SFC flag is set.
C     This assumes that NSFC = 0 unless the *SFC section has been read
C
      IMPLICIT NONE
C
C ARGUMENTS
      LOGICAL      FAIL    !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG  !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  RFMLOG ! Write text message to RFM log file
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'atmcom.inc' ! Atmospheric profile data
      INCLUDE 'sfccom.inc' ! Surface parameters
C
C LOCAL VARIABLES
      CHARACTER*80 LOGMSG  ! Message sent to RFM runlog file
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      FAIL = .FALSE.
C
      IF ( NSFC .EQ. 0 ) THEN
        TEMSFC = TEMATM(1)
        NSFC = 1
        WNOSFC(1) = 0.0D0
        EMSSFC(1) = 1.0D0
        RFLSFC = .FALSE.
        WRITE ( LOGMSG, '(A,F8.2,A)' ) 
     &    'I-SFCCHK: Setting default Tsfc=Tatm=', TEMSFC,
     &    ' K, emissivity=1'
        CALL RFMLOG ( LOGMSG, FAIL, ERRMSG )
      END IF
C
      END
