      INTEGER FUNCTION SGNARR ( NX, X )
C
C VERSION
C     05DEC13 AD Original.
C
C DESCRIPTION
C     Determine if array is ascending, descending or not monotonic
C     Called by DIMFIL
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER NX    !  I  Array size (ge 1 assumed)
      REAL    X(*)  !  I  Array to be tested  
C
C LOCAL VARIABLES
      INTEGER ISIGN ! Local assignment of sign
      INTEGER IX    ! Array counter
C
C EXECUTABLE CODE --------------------------------------------------------------
C
C For scalar, or incorrect NX argument, return SGNARR=0
      IF ( NX .LE. 1 ) THEN
        SGNARR = 0
        RETURN
      END IF
C
C Determine sign from first 2 array elements
      IF ( X(2) .GT. X(1) ) THEN
        ISIGN = 1
      ELSE IF ( X(2) .LT. X(1) ) THEN
        ISIGN = -1
      ELSE                   ! If equal, return with SGNARR=0
        SGNARR = 0
        RETURN
      END IF
C
C Determine if consistent sign for all other array elements (NB equals is OK)
      DO IX = 3, NX
        IF ( ( ISIGN .EQ. 1 .AND. X(IX) .LE. X(IX-1) ) .OR.
     &       ( ISIGN .EQ.-1 .AND. X(IX) .GE. X(IX-1) ) ) THEN
          SGNARR = 0         ! sign changes, return with SGNARR=0
          RETURN
        END IF
      END DO
C
      SGNARR = ISIGN
C
      END
