C SHPCON.INC ------------------------------------------------------------------
C
C VERSION
C     01JAN15 AD Add SHPAIR
C     11AUG03 AD Add SHPVVW
C     01DEC97 AD Add SHPCTM, remove redundant LNOCON,LWTHCN
C     02JUL97 AD Add SHPLUT
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Line-Shape codes
C     Integer codes used within RFM for different lineshapes.
C
      INTEGER SHPVOI                ! Voigt line shape 
        PARAMETER ( SHPVOI = 1 )
      INTEGER SHPLOR                ! Lorentz line shape 
        PARAMETER ( SHPLOR = 2 )    
      INTEGER SHPDOP                ! Doppler line shape 
        PARAMETER ( SHPDOP = 3 )   
      INTEGER SHPCHI                ! Chi-factor scaled Voigt lineshape 
        PARAMETER ( SHPCHI = 4 ) 
      INTEGER SHPVVW                ! Van Vleck-Weisskopf lineshape 
        PARAMETER ( SHPVVW = 5 ) 
C REAHIT tests for SHP < SHPCTM to determine if HITRAN line data are reqd
      INTEGER SHPCTM                ! Continuum data only
        PARAMETER ( SHPCTM = 8 )
      INTEGER SHPXSC                ! Cross-section data 
        PARAMETER ( SHPXSC = 9 )
      INTEGER SHPLUT                ! LUT data
        PARAMETER ( SHPLUT = 10 )   
      INTEGER SHPAIR                ! Air (for Rayleigh extinction)
        PARAMETER ( SHPAIR = 11 )   
C
C -----------------------------------------------------------------------------
