      SUBROUTINE SUB25W ( NWNO, ABSORP )
C
C VERSION
C     31DEC14 AD Tidied up
C     03MAR97 AD Version 3.
C     18DEC96 AD Original
C
C DESCRIPTION
C     Subtract absorption value at 25cm-1 from line centre 
C     Called by RFMFIN, RFMWID for H2O lines if CTM flag enabled
C     Required for use with the CKD H2O continuum coefficients.
C
C ARGUMENTS
      INTEGER NWNO         !  I  No. wavenumber points to be evaluted
      REAL    ABSORP(NWNO) ! I/O Absorption coefficient
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C COMMON VARIABLES
      INCLUDE 'adjcom.inc' ! Path-Adjusted line data

C LOCAL VARIABLES
      INTEGER  IWNO        ! Wavenumber array counter
      REAL     ABS25W      ! Absorption evaluated at 25cm-1 from line centre
C
C EXECUTABLE CODE --------------------------------------------------------------
C
C ABS25W is just the Lorentzian line shape evaluated at 25cm-1 from centre
      ABS25W = STRADJ * WIDADJ / PI / ( 625.0 + WIDADJ**2 )
C
C Assume CKD continuum allows for line contributions to absorption .LE. 0 
      DO IWNO = 1, NWNO
        ABSORP(IWNO) = ABSORP(IWNO) - ABS25W
      END DO
C
      END
