C SVDCOM.INC ------------------------------------------------------------------
      COMMON / SVDCOM / NSVD, IGSSVD, IVSVD, IVOSVD, IXOSVD, 
     &                  NLSVD, NPSVD, NTSVD, NVSVD, 
     &                  DPSVD, DTSVD, P1SVD, T1SVD, U, K, 
     &                  TABSVD
      COMMON / SVDDBL / V1SVD, V2SVD, DVSVD
C
C VERSION
C     13JAN14 AD Renamed from lutcom.inc, change *LUT to *SVD
C                Numerous changes for new SVD handling
C     07JUN00 AD Add IVLUT, IGLUT, IGOFF
C     04JUN99 AD Add BINLUT 
C     28APR99 AD Add NDPLUT, NDTLUT, OFFLUT
C     20APR99 AD Put Double precision variables into separate common block
C     01NOV97 AD Add NLUT, LUNLUT
C     18JUL97 AD Add TABLUT
C     03JUL97 AD Original.
C
C DESCRIPTION
C     Common variables associated with RFM SVD-compressed Look-Up Tables.
C     NSVD initialised in LUTCHK and SPCLUT.
C     These data are loaded for each spectral range by LUTSVD
C
      INTEGER     NSVD           ! No.SVD LUTs used for current spectral range
      INTEGER     IGSSVD(MAXSVD) ! Absorber index for SVD-LUT file
      INTEGER     IVSVD(MAXLUV)  ! Wavenumber grid indices for SVDs 
      INTEGER     IVOSVD(MAXSVD) ! Offset for Wavenumber axis in U matrices
      INTEGER     IXOSVD(MAXSVD) ! Offset for pT axis in K matrices
      INTEGER     NLSVD(MAXSVD)  ! No. basis vectors
      INTEGER     NPSVD(MAXSVD)  ! No. pressure points 
      INTEGER     NTSVD(MAXSVD)  ! No. temperature points 
      INTEGER     NVSVD(MAXSVD)  ! No. wavenumber points 
      REAL        DPSVD(MAXSVD)  ! -lnp increment
      REAL        DTSVD(MAXSVD)  ! Temperature increment [K] 
      REAL        P1SVD(MAXSVD)  ! Lowest -lnp [p in mb] 
      REAL        T1SVD(MAXSVD)  ! Lowest Temperature [K] 
      REAL     U(MAXLUV,MAXLUL)  ! U-matrix (all SVDs combined)
      REAL     K(MAXLUL,MAXLUX)  ! K-matrix (all SVDs combined)
      CHARACTER*3     TABSVD(MAXSVD) ! Tabulation function      
C
      DOUBLE PRECISION V1SVD(MAXSVD) ! Lowest Wavenumber [/cm] 
      DOUBLE PRECISION V2SVD(MAXSVD) ! Highest Wavenumber [/cm] 
      DOUBLE PRECISION DVSVD(MAXSVD) ! Wavenumber increment [/cm]
C
C -----------------------------------------------------------------------------
