      SUBROUTINE SVDINF ( RECORD, MWCODE, IDGAS, IDISO, TAB, 
     &                    FAIL, ERRMSG ) 
C
C VERSION
C     06JAN14 AD Original. 
C
C DESCRIPTION
C     Extract info from SVD-LUT header record
C     Called by LUTSVD for each SVD-LUT file
C
      IMPLICIT NONE
C
C ARGUMENTS
      CHARACTER*17 RECORD !  I  Record read from SVD-LUT file
      CHARACTER*8  MWCODE !  O  MW code read from LUT file
      INTEGER      IDGAS  !  O  RFM/HITRAN ID of gas
      INTEGER      IDISO  !  O  Isotopic ID of gas, or -1 if not specified
      CHARACTER*3  TAB    !  O  Tabulated function ('log', 'lin' or '4rt')
      LOGICAL      FAIL   !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG !  O  Error message returned if FAIL is TRUE
C
      EXTERNAL
     &  IDGNEW ! Convert old RFM index for .xsc data to new value
     &, LOCASE ! Convert text string to lower case
      INTEGER IDGNEW
C
C LOCAL VARIABLES
      INTEGER IOS         ! Saved value of IOSTAT for error messages
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      MWCODE = RECORD(1:8)
      READ ( RECORD(10:11), *, IOSTAT=IOS, ERR=900 ) IDGAS
      IDGAS = IDGNEW ( IDGAS )
      IF ( RECORD(12:12) .EQ. '.' ) THEN
        READ ( RECORD(13:13), *, IOSTAT=IOS, ERR=900 ) IDISO
        CALL LOCASE ( RECORD(15:17), TAB ) 
      ELSE
        IDISO = -1
        CALL LOCASE ( RECORD(13:15), TAB ) 
      END IF
      FAIL = .FALSE.
      RETURN
C
  900 WRITE ( ERRMSG, '(A,I11)')
     &  'F-SVDINF: I/O failure on LUT file. IOSTAT=', IOS
      FAIL = .TRUE.
C
      END
