C TABCOM.INC -------------------------------------------------------------------
      COMMON / TABCOM / NATAB, NPTAB, NQTAB, NTTAB, NVTAB, OFFTAB,
     &                  PAXTAB, QAXTAB, TAXTAB, TEMTAB, VMRTAB,
     &                  DVTAB, V1TAB, V2TAB
C
C VERSION
C     09APR15 AD Comment change: assume VMRTAB in [ppmv] not [ppv]
C     13NOV14 AD Add DVTAB
C     13JAN14 AD Rewritten
C     28APR99 AD Add OFFTAB
C     22OCT97 AD Original.
C
C DESCRIPTION
C     Tabulation axes for tabulated absorption coefficients (TAB option).
C     Also used when reading in these files (LUT option).
C     Loaded by DIMFIL, DIMGRD, TABPTH. Used by TABPTH, OPNTAB
C     V1TAB,V2TAB,NVTAB only used when TAB used as an input file with LUT option
C
      INTEGER NATAB                 !  Total number of abs.coeff values
      INTEGER NPTAB                 !  No. pressure points
      INTEGER NQTAB                 !  No. VMR points
      INTEGER NTTAB                 !  No. temperature points
      INTEGER NVTAB                 !  No. spectral points
      LOGICAL OFFTAB                !  T=apply temperature offset profile
      REAL    PAXTAB(MAXTAB)        !  Irreg p-axis values [mb]
      REAL    QAXTAB(MAXTAB)        !  Irreg q-axis values [%]
      REAL    TAXTAB(MAXTAB)        !  Irreg T-axis values [K]
      REAL    TEMTAB(MAXTAB)        !  Atm. T profile [K] interpolated to p-axis
      REAL    VMRTAB(MAXTAB,MAXGAS) !  Atm. VMR profiles [ppmv] interp to p-axis
      DOUBLE PRECISION DVTAB        !  Nominal wno. grid spacing for .tab file
      DOUBLE PRECISION V1TAB        !  Lower wavenumber limit
      DOUBLE PRECISION V2TAB        !  Upper wavenumber limit
C
C ------------------------------------------------------------------------------
