C TANCOM.INC ------------------------------------------------------------------
      COMMON / TANCOM / ELETAN, GEOTAN, HGTTAN, PSITAN, USRTAN, 
     &                  LOSTAN, LTAN, MTAN, NTAN, IATTAN, IFVTAN, 
     &                  CLCTAN, SFCTAN, USRELE, USRGEO,
     &                  STRTAN
      COMMON / TANDBL / ABSTAN, RADTAN, SZNTAN, TRATAN
C
C VERSION
C     06AUG15 AD Separate DP variables into TANDBL
C     03SEP03 AD Add SFCTAN
C     08JUN01 AD Add LOSTAN
C     26MAY00 AD Convert ABSTAN and RADTAN from Real to D.P.
C     28DEC99 AD Add PSITAN
C     02JAN99 AD Add LTAN
C     23DEC98 AD Comment changes only
C     17JUL98 AD Add USRTAN, ELETAN, GEOTAN, SZNTAN, STRTAN
C     10DEC97 AD Comment changes only
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     List of tangent heights required for RFM calculations.
C     Loaded by INPTAN, FOVTAN.
C     SFCTAN set in CHKLIM
C     Output tangent heights are 1:NTAN (1=lowest, NTAN=highest) limb view
C     but not sorted for NAD, ZEN or HOM views.
C     Extra tangent heights for FOV calculation are in NTAN+1:MTAN
C     After FOV calculation (or without FOV calculation) extra Jacobians are
C     arranged into NTAN+1:LTAN (in RFMPTB or RFMFOV)
C
      REAL             ELETAN(MAXTAN)        ! Elevation angles of paths
      REAL             HGTTAN(MAXTAN)        ! Lowest altitude along paths [km]
      REAL             GEOTAN(MAXTAN)        ! Projected (=Geom) tan.alt. [km]
      REAL             PSITAN(MAXTAN)        ! LOS angle of tan.pt. [deg]
      REAL             USRTAN(MAXTAN)        ! Tan.path values from Drv.Table
      INTEGER          LOSTAN                ! No. t.pths for LOS jacobians
      INTEGER          LTAN                  ! No. t.pts for o/p incl.Jacobians
      INTEGER          MTAN                  ! No. tangent pts for calculations
      INTEGER          NTAN                  ! No.nominal tan pts for output
      INTEGER          IATTAN(MAXTAN)        ! Atmos layer containing tan pt
      INTEGER          IFVTAN(MAXFOV,MAXTAN) ! Index of Tan.Hgts for FOV Conv.
      LOGICAL          CLCTAN(MAXTAN)        ! T=Radiance.calc reqd for Tan.Hgt
      LOGICAL          SFCTAN(MAXTAN)        ! T=limb ray intersects surface
      LOGICAL          USRELE                ! T=USRTAN are elevation angles
      LOGICAL          USRGEO                ! T=USRTAN are Geom.Tan.points.
      CHARACTER*6      STRTAN(MAXTAN)        ! Strings for filenames
      DOUBLE PRECISION ABSTAN(MAXFIN,MAXTAN) ! Tangent path optical depth
      DOUBLE PRECISION RADTAN(MAXFIN,MAXTAN) ! Tangent path Radiance
      DOUBLE PRECISION SZNTAN(MAXTAN)        ! Sin(Zenith angle) at HGTTAN
      DOUBLE PRECISION TRATAN(MAXFIN,MAXTAN) ! Tangent path Transmission
C
C -----------------------------------------------------------------------------
