      REAL FUNCTION VAL2DI ( ARRAY2, MAXX, IX, DX, IY, DY, LOGINT )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Function interpolate value from 2D array.
C     RFM general purpose function.
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL ARRAY2(MAXX,*) !  I  2d array for interpolation
      INTEGER MAXX        !  I  Externally declared size of 1st dim. of ARRAY2
      INTEGER IX          !  I  Index of 1st dimension below interpolated point
      REAL    DX          !  I  Interpolation fraction (0:1) in 1st dimension
      INTEGER IY          !  I  Index of 2nd dimension below interpolated point
      REAL    DY          !  I  Interpolation fraction (0:1) in 2nd dimension
      LOGICAL LOGINT      !  I  T=logarithmic interpolation, F=linear
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C LOCAL VARIABLES
      REAL     SUM    ! Summation 
C
C EXECUTABLE CODE -------------------------------------------------------------
C
C Log interpolation only possible if interpolation points are all greater
C than ARGMIN - if any used points are not, revert to linear interpolation
      IF ( LOGINT ) THEN
        SUM = 0.0
        IF ( DX .GT. 0.0 .AND. DY .GT. 0.0 ) THEN
          IF ( ARRAY2(IX+1,IY+1) .LT. ARGMIN ) GOTO 100
          SUM = SUM + DX * DY * LOG ( ARRAY2(IX+1,IY+1) ) 
        END IF
        IF ( DX .LT. 1.0 .AND. DY .GT. 0.0 ) THEN
          IF ( ARRAY2(IX,IY+1) .LT. ARGMIN ) GOTO 100
          SUM = SUM + (1.0-DX) * DY * LOG ( ARRAY2(IX,IY+1) ) 
        END IF
        IF ( DX .GT. 0.0 .AND. DY .LT. 1.0 ) THEN
          IF ( ARRAY2(IX+1,IY) .LT. ARGMIN ) GOTO 100
          SUM = SUM + DX * (1.0-DY) * LOG ( ARRAY2(IX+1,IY) ) 
        END IF
        IF ( DX .LT. 1.0 .AND. DY .LT. 1.0 ) THEN
          IF ( ARRAY2(IX,IY) .LT. ARGMIN ) GOTO 100
          SUM = SUM + (1.0-DX) * (1.0-DY) * LOG ( ARRAY2(IX,IY) ) 
        END IF
        VAL2DI = EXP ( SUM ) 
        RETURN   ! normal exit with 2D log interpolation
      END IF
C
C Linear interpolation
 100  CONTINUE
      VAL2DI = (1.0-DX) * (1.0-DY) * ARRAY2(IX,IY) +
     &               (1.0-DX) * DY * ARRAY2(IX,IY+1) + 
     &               DX * (1.0-DY) * ARRAY2(IX+1,IY) + 
     &                     DX * DY * ARRAY2(IX+1,IY+1) 
C
      END

