      REAL FUNCTION VALCIA ( ICIA, WNO )
C
C VERSION
C     06JUL15 AD Original
C
C DESCRIPTION
C     Spectral interpolation of CIA data.
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER ICIA         !  I  Index of CIA tabulation
      DOUBLE PRECISION WNO !  I  Wavenumber [cm-1]
C
      EXTERNAL
     &  DBRAKT ! Return lower index I of the two points in array ARRAY(N)
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'ciacom.inc' ! Coll.Ind.Absorption data 
C
C LOCAL VARIABLES
      INTEGER I            ! Abs.index of lower wno point for interpolation
      INTEGER J            ! Abs.index of upper wno point for interpolation
      INTEGER IGUESS       ! Guessed/returned interpolation index
      INTEGER IOF          ! Offset for CIA data in arrays
      INTEGER NPT          ! No. data points for CIA tabulation
      REAL    A            ! Interpolation fraction
C
C DATA STATEMENTS
      DATA IGUESS / 1 / 
      SAVE IGUESS
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      IOF = IOFCIA(ICIA)
      NPT = NPTCIA(ICIA)
      IF ( WNO .LE. WN1CIA(ICIA) ) THEN
        VALCIA = ABSCIA(IOF+1)
      ELSE IF ( WNO .GE. WN2CIA(ICIA) ) THEN
        VALCIA = ABSCIA(IOF+NPT)
      ELSE
        CALL DBRAKT ( WNOCIA(IOF+1), NPT, WNO, IGUESS ) 
        I = IOF + IGUESS 
        J = I + 1
        A = ( WNO - WNOCIA(I) ) / ( WNOCIA(J) - WNOCIA(I) ) 
        VALCIA = ABSCIA(I) +  A * ( ABSCIA(J) - ABSCIA(I) )
      END IF
C
      END 
           
