      REAL FUNCTION VALINT ( X, XTAB, YTAB, N, LOGINT )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Function to linearly interpolate value from array.
C     General purpose routine.
C     Limits interpolation to range of XTAB,YTAB - no extrapolation.
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL    X       !  I  Point at which interpolation is required
      REAL    XTAB(*) !  I  Tabulation of N x coordinates
      REAL    YTAB(*) !  I  Tabulation of N y coordinates
      INTEGER N       !  I  Number of points in table
      LOGICAL LOGINT  !  I  T=log interpolation, F=linear interpolation
C
      EXTERNAL 
     &  BRAKET ! Return lower index I of the two points in array ARRAY(N)
C
C GLOBAL CONSTANTS
      INCLUDE 'phycon.inc' ! Physical and Mathematical constants
C
C LOCAL VARIABLES
      INTEGER I       ! Index below interpolated value
      REAL    D       ! Interpolation fraction (0:1)
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      I = N/2
      CALL BRAKET ( XTAB, N, X, I ) 
C
      IF ( I .EQ. 0 ) THEN
        VALINT = YTAB(1)
      ELSE IF ( I .EQ. N ) THEN
        VALINT = YTAB(N)
      ELSE  
        D = ( X - XTAB(I) ) / ( XTAB(I+1) - XTAB(I) ) 
        IF ( LOGINT .AND. YTAB(I) .GT. ARGMIN 
     &              .AND. YTAB(I+1) .GT. ARGMIN ) THEN
          VALINT = EXP ( ( 1.0 - D ) * LOG ( YTAB(I) ) + 
     &                             D * LOG ( YTAB(I+1) )  ) 
        ELSE
          VALINT = ( 1.0 - D ) * YTAB(I) + D * YTAB(I+1) 
        END IF
      END IF
C
      END
