C WIDCOM.INC -------------------------------------------------------------------
      COMMON / WIDCOM / WN1WID, WN2WID, WNLWID, WNUWID, DELWID, 
     &                  WNOWID, WNOWD2, 
     &                  NWID, NILWID, NOLWID, NLNWID, ICTWID, NQDWID,
     &                  ABSWID, CNTWID
C
C VERSION
C     13APR00 AD Add NILWID, NOLWID
C     09AUG99 AD Change WNOWID from Real to D.P.
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with RFM widemesh calculations.
C     Assumes NWID widemesh intervals, indexed 1:NWID,
C     NWID+1 widemesh grid points, indexed 0:NWID.
C
      DOUBLE PRECISION WN1WID      ! WNO at lower limit of widemesh grid
      DOUBLE PRECISION WN2WID      ! WNO at upper limit of widemesh grid
      DOUBLE PRECISION WNLWID      ! lowest WNO required for any lines 
      DOUBLE PRECISION WNUWID      ! highest WNO required for any lines 
      DOUBLE PRECISION DELWID      ! Width of Widemesh intervals
      DOUBLE PRECISION WNOWID(0:MAXWID) ! Wide mesh points [/cm] 
      DOUBLE PRECISION WNOWD2(0:MAXWD2) !  WNO at each widemesh parab. point
C
      INTEGER  NWID                    ! No. of wide mesh intervals 
      INTEGER  NILWID(MAXGAS)          ! No.lines within spec range for each gas
      INTEGER  NOLWID(MAXGAS)          ! No.lines outside spec range for each gas
      INTEGER  NLNWID(MAXWID,MAXGAS)   ! No.lines included for each w.m. itvl
      INTEGER  ICTWID(MAXWID,MAXGAS)   ! 1 = continuum data used for wm itvl
      INTEGER  NQDWID(MAXWID,MAXGAS)   ! No.paths using quad.interp.
      REAL     ABSWID(3,MAXWID,MAXCLC) ! Widepass abs. by parabolic point.
      REAL     CNTWID(3,MAXWID,MAXCLC) ! Widepass nonlte factor absorption by
C                                 parabolic point, wide mesh, and path.
C
C ------------------------------------------------------------------------------
