      REAL FUNCTION WIDVOI ( WIDLOR, WIDDOP ) 
C
C VERSION
C     06JAN15 AD Original. Replacement for AWIDTH.
C
C DESCRIPTION
C     Estimate Voigt half-width of line.
C     Called by RFMFIN and RFMWID.
C     The approximation is that recommended by Olivero & Longbothum.
C
C REFERENCES
C     Olivero, J.J. and R.L. Longbothum
C     Empirical Fits to the Voigt Line Width: A brief review
C     J.Q.S.R.T, Vol 17, p233-236 (1977).
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL     WIDLOR !  I  Lorentz half-width
      REAL     WIDDOP !  I  Doppler half-width
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      WIDVOI = 0.5346*WIDLOR + SQRT( 0.2166*WIDLOR**2 + WIDDOP**2 )
C
      END
